using CloudBuilder.Core.Authorization;
namespace CloudBuilder.AI
{
    [TypeScript]
    public class DmsFolderMapEntityKey
    {
        public string FolderNameParent  { get; set; }
        public string FolderNameSon  { get; set; }

        public override bool Equals(object obj)
        {
            if (this == obj) return true;

            DmsFolderMapEntityKey pkey = obj as DmsFolderMapEntityKey;
            if (pkey == null) return false;

            if (FolderNameParent != pkey.FolderNameParent) return false;
            if (FolderNameSon != pkey.FolderNameSon) return false;

            return true;
        }


            public override string ToString()
            {
                string declareSql="";
                declareSql=declareSql+$"declare @__tkey_FolderNameParent_0 varchar(50) select @__tkey_FolderNameParent_0 ='{FolderNameParent}'; " ;                declareSql=declareSql+$"declare @__tkey_FolderNameSon_1 varchar(50) select @__tkey_FolderNameSon_1 ='{FolderNameSon}'; " ;
                return declareSql;
            }
        }
    }
    /* builder.Entity<DmsFolderMapEntity>().HasKey(c => new {        c.FolderNameParent,        c.FolderNameSon});    */
